Subject: Re: JFFS2 on Lite5200

From: Andrey Volkov <[email-masked]>
Date: Tue, 17 Oct 2006 17:20:37 +0400

Hello Andrea,

Andrea Galbusera wrote:
> Hello.
> 
> I'm currently using linux-2.6.16 from denx on a Lite5200 V2.0. I need to
> access a JFFS2 filesystem on the onboard flash ( 16MB Am29L652D ).
> 
> I see the flash using physmap driver and cmdline partitions.
> I experience a problem when creating files on JFFS2 with filename longer
> than a few characters. They appear to be created correctly with the
> content I want, but, after unmounting and remounting the filesystem they
> result unreadable and ls complains with "no such file or
> directory" (short-named files are ok).
--snip--

OMG, again same question,

Andrea, check ml archive, I already sent patch half-year ago
(http://ozlabs.org/pipermail/linuxppc-embedded/2006-April/022566.html)
Problem is in alignment/memcpy: JFFS2 code assumed that memory at
unaligned addresses could be touched, but access to an external MMIO
on MPC5200 _must_ be aligned (i.e. you could not read u32 from odd address).

P.S. Artem, I repeat, I sent this patch _HALF_YEAR_AGO_
how about to fix scan.c?

--
Regards
Andrey